CVE-2011-1022

NameCVE-2011-1022
DescriptionThe cgre_receive_netlink_msg function in daemon/cgrulesengd.c in cgrulesengd in the Control Group Configuration Library (aka libcgroup or libcg) before 0.37.1 does not verify that netlink messages originated in the kernel, which allows local users to bypass intended resource restrictions via a crafted message.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2193-1
NVD severitylow (attack range: local)
Debian Bugs615987
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libcgroup (PTS)squeeze, squeeze (security)0.36.2-3+squeeze1fixed
wheezy0.38-1fixed
sid, stretch, jessie0.41-6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libcgroupsource(unstable)0.37.1-1low615987
libcgroupsourcesqueeze0.36.2-3+squeeze1lowDSA-2193-1

Search for package or bug name: Reporting problems